Mailinglist Archive: opensuse-commit (754 mails)
| < Previous | Next > |
commit nautilus-open-terminal for openSUSE:Factory
- From: root@xxxxxxxxxxxxxxx (h_root)
- Date: Thu, 28 May 2009 04:01:47 +0200
- Message-id: <20090528020147.C5249678155@xxxxxxxxxxxxxxx>
Hello community,
here is the log from the commit of package nautilus-open-terminal for
openSUSE:Factory
checked in at Thu May 28 04:01:47 CEST 2009.
--------
--- GNOME/nautilus-open-terminal/nautilus-open-terminal.changes 2009-05-20
14:03:10.000000000 +0200
+++ nautilus-open-terminal/nautilus-open-terminal.changes 2009-05-26
17:30:28.000000000 +0200
@@ -1,0 +2,14 @@
+Tue May 26 17:28:35 CEST 2009 - vuntz@xxxxxxxxxx
+
+- Update to version 0.13:
+ + Features
+ - Only offer to open a local terminal for remote locations if
+ path back-mapping to ~/.gvfs is possible, i.e. if GVFS was
+ compiled with FUSE support.
+ + Fixes / Build
+ - Fix double-free when opening terminal on the desktop.
+ - Use custom SFTP URI parser, and get rid of GnomeVFS
+ dependency, lp#333462.
+- Remove gnome-vfs2-devel BuildRequires.
+
+-------------------------------------------------------------------
calling whatdependson for head-i586
Old:
----
nautilus-open-terminal-0.12.tar.bz2
New:
----
nautilus-open-terminal-0.13.tar.bz2
nautilus-open-terminal-gcc.patch
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Other differences:
------------------
++++++ nautilus-open-terminal.spec ++++++
--- /var/tmp/diff_new_pack.S17562/_old 2009-05-28 03:59:06.000000000 +0200
+++ /var/tmp/diff_new_pack.S17562/_new 2009-05-28 03:59:06.000000000 +0200
@@ -1,5 +1,5 @@
#
-# spec file for package nautilus-open-terminal (Version 0.12)
+# spec file for package nautilus-open-terminal (Version 0.13)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
@@ -22,12 +22,11 @@
BuildRequires: fdupes
BuildRequires: gconf2-devel
BuildRequires: gnome-desktop-devel
-BuildRequires: gnome-vfs2-devel
BuildRequires: intltool
BuildRequires: nautilus-devel
BuildRequires: translation-update-upstream
BuildRequires: update-desktop-files
-Version: 0.12
+Version: 0.13
Release: 1
Url: http://manny.cluecoder.org/packages/nautilus-open-terminal/
Group: System/GUI/GNOME
@@ -36,6 +35,8 @@
Source: %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM nautilus-open-terminal-eel.patch vuntz@xxxxxxxxxx -- Sent
upstream by mail (2009/05/20)
Patch0: nautilus-open-terminal-eel.patch
+# PATCH-FIX-UPSTREAM nautilus-open-terminal-gcc.patch vuntz@xxxxxxxxxx -- Sent
upstream by mail (2009/05/27)
+Patch1: nautilus-open-terminal-gcc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: %{name}-lang = %{version}
%gconf_schemas_prereq
@@ -55,6 +56,7 @@
%setup -q
translation-update-upstream
%patch0 -p1
+%patch1 -p1
%build
%configure \
@@ -87,6 +89,17 @@
%files lang -f %{name}.lang
%changelog
+* Tue May 26 2009 vuntz@xxxxxxxxxx
+- Update to version 0.13:
+ + Features
+ - Only offer to open a local terminal for remote locations if
+ path back-mapping to ~/.gvfs is possible, i.e. if GVFS was
+ compiled with FUSE support.
+ + Fixes / Build
+ - Fix double-free when opening terminal on the desktop.
+ - Use custom SFTP URI parser, and get rid of GnomeVFS
+ dependency, lp#333462.
+- Remove gnome-vfs2-devel BuildRequires.
* Mon May 18 2009 vuntz@xxxxxxxxxx
- Update to version 0.12:
+ Remote SSH terminal: Work correctly with non-standard SSH ports
++++++ nautilus-open-terminal-0.12.tar.bz2 ->
nautilus-open-terminal-0.13.tar.bz2 ++++++
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn
--exclude=.svnignore old/nautilus-open-terminal-0.12/configure
new/nautilus-open-terminal-0.13/configure
--- old/nautilus-open-terminal-0.12/configure 2009-05-17 12:34:33.000000000
+0200
+++ new/nautilus-open-terminal-0.13/configure 2009-05-23 11:16:32.000000000
+0200
@@ -878,8 +878,6 @@
GCONF_LIBS
GNOMEDESKTOP_CFLAGS
GNOMEDESKTOP_LIBS
-GNOMEVFS_CFLAGS
-GNOMEVFS_LIBS
NAUTILUS_EXTENSION_DIR
GCONFTOOL
GCONF_SCHEMA_CONFIG_SOURCE
@@ -952,9 +950,7 @@
GCONF_CFLAGS
GCONF_LIBS
GNOMEDESKTOP_CFLAGS
-GNOMEDESKTOP_LIBS
-GNOMEVFS_CFLAGS
-GNOMEVFS_LIBS'
+GNOMEDESKTOP_LIBS'
# Initialize some variables set by options.
@@ -1578,10 +1574,6 @@
C compiler flags for GNOMEDESKTOP, overriding pkg-config
GNOMEDESKTOP_LIBS
linker flags for GNOMEDESKTOP, overriding pkg-config
- GNOMEVFS_CFLAGS
- C compiler flags for GNOMEVFS, overriding pkg-config
- GNOMEVFS_LIBS
- linker flags for GNOMEVFS, overriding pkg-config
Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.
@@ -2007,7 +1999,7 @@
PACKAGE=nautilus-open-terminal
-VERSION=0.12
+VERSION=0.13
@@ -4398,7 +4390,7 @@
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4401 "configure"' > conftest.$ac_ext
+ echo '#line 4393 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -7450,11 +7442,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7453: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7445: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7457: \$? = $ac_status" >&5
+ echo "$as_me:7449: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7740,11 +7732,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7743: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7735: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7747: \$? = $ac_status" >&5
+ echo "$as_me:7739: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7844,11 +7836,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7847: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7839: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7851: \$? = $ac_status" >&5
+ echo "$as_me:7843: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -10221,7 +10213,7 @@
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10224 "configure"
+#line 10216 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -10321,7 +10313,7 @@
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10324 "configure"
+#line 10316 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12722,11 +12714,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12725: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12717: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12729: \$? = $ac_status" >&5
+ echo "$as_me:12721: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -12826,11 +12818,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12829: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12821: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12833: \$? = $ac_status" >&5
+ echo "$as_me:12825: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -14424,11 +14416,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14427: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14419: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14431: \$? = $ac_status" >&5
+ echo "$as_me:14423: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -14528,11 +14520,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14531: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14523: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14535: \$? = $ac_status" >&5
+ echo "$as_me:14527: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -16748,11 +16740,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16751: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16743: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16755: \$? = $ac_status" >&5
+ echo "$as_me:16747: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -17038,11 +17030,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:17041: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:17033: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:17045: \$? = $ac_status" >&5
+ echo "$as_me:17037: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -17142,11 +17134,11 @@
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:17145: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:17137: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:17149: \$? = $ac_status" >&5
+ echo "$as_me:17141: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -19927,7 +19919,6 @@
NAUTILUS_REQUIRED=2.21.2
LIBGNOME_DESKTOP_REQUIRED=2.9.91
GLIB_REQUIRED=2.16.0
-GNOMEVFS_REQUIRED=2.0
@@ -20433,117 +20424,6 @@
:
fi
-pkg_failed=no
-{ echo "$as_me:$LINENO: checking for GNOMEVFS" >&5
-echo $ECHO_N "checking for GNOMEVFS... $ECHO_C" >&6; }
-
-if test -n "$PKG_CONFIG"; then
- if test -n "$GNOMEVFS_CFLAGS"; then
- pkg_cv_GNOMEVFS_CFLAGS="$GNOMEVFS_CFLAGS"
- else
- if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors
\"gnome-vfs-2.0 >= \$GNOMEVFS_REQUIRED\"") >&5
- ($PKG_CONFIG --exists --print-errors "gnome-vfs-2.0 >= $GNOMEVFS_REQUIRED")
2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- pkg_cv_GNOMEVFS_CFLAGS=`$PKG_CONFIG --cflags "gnome-vfs-2.0 >=
$GNOMEVFS_REQUIRED" 2>/dev/null`
-else
- pkg_failed=yes
-fi
- fi
-else
- pkg_failed=untried
-fi
-if test -n "$PKG_CONFIG"; then
- if test -n "$GNOMEVFS_LIBS"; then
- pkg_cv_GNOMEVFS_LIBS="$GNOMEVFS_LIBS"
- else
- if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors
\"gnome-vfs-2.0 >= \$GNOMEVFS_REQUIRED\"") >&5
- ($PKG_CONFIG --exists --print-errors "gnome-vfs-2.0 >= $GNOMEVFS_REQUIRED")
2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- pkg_cv_GNOMEVFS_LIBS=`$PKG_CONFIG --libs "gnome-vfs-2.0 >=
$GNOMEVFS_REQUIRED" 2>/dev/null`
-else
- pkg_failed=yes
-fi
- fi
-else
- pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- GNOMEVFS_PKG_ERRORS=`$PKG_CONFIG --short-errors
--errors-to-stdout --print-errors "gnome-vfs-2.0 >= $GNOMEVFS_REQUIRED"`
- else
- GNOMEVFS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout
--print-errors "gnome-vfs-2.0 >= $GNOMEVFS_REQUIRED"`
- fi
- # Put the nasty error message in config.log where it belongs
- echo "$GNOMEVFS_PKG_ERRORS" >&5
-
- { { echo "$as_me:$LINENO: error: Package requirements (gnome-vfs-2.0 >=
$GNOMEVFS_REQUIRED) were not met:
-
-$GNOMEVFS_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
-
-Alternatively, you may set the environment variables GNOMEVFS_CFLAGS
-and GNOMEVFS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-echo "$as_me: error: Package requirements (gnome-vfs-2.0 >=
$GNOMEVFS_REQUIRED) were not met:
-
-$GNOMEVFS_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
-
-Alternatively, you may set the environment variables GNOMEVFS_CFLAGS
-and GNOMEVFS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
- { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
- { { echo "$as_me:$LINENO: error: The pkg-config script could not be
found or is too old. Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables GNOMEVFS_CFLAGS
-and GNOMEVFS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&5
-echo "$as_me: error: The pkg-config script could not be found or is too old.
Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables GNOMEVFS_CFLAGS
-and GNOMEVFS_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://pkg-config.freedesktop.org/>.
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
-else
- GNOMEVFS_CFLAGS=$pkg_cv_GNOMEVFS_CFLAGS
- GNOMEVFS_LIBS=$pkg_cv_GNOMEVFS_LIBS
- { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
- :
-fi
-
# Make dependency CFLAGS and LIBS available
@@ -20557,9 +20437,6 @@
-
-
-
# Get nautilus extensions directory
NAUTILUS_EXTENSION_DIR=`$PKG_CONFIG --variable=extensiondir
libnautilus-extension`
@@ -23615,8 +23492,6 @@
GCONF_LIBS!$GCONF_LIBS$ac_delim
GNOMEDESKTOP_CFLAGS!$GNOMEDESKTOP_CFLAGS$ac_delim
GNOMEDESKTOP_LIBS!$GNOMEDESKTOP_LIBS$ac_delim
-GNOMEVFS_CFLAGS!$GNOMEVFS_CFLAGS$ac_delim
-GNOMEVFS_LIBS!$GNOMEVFS_LIBS$ac_delim
NAUTILUS_EXTENSION_DIR!$NAUTILUS_EXTENSION_DIR$ac_delim
GCONFTOOL!$GCONFTOOL$ac_delim
GCONF_SCHEMA_CONFIG_SOURCE!$GCONF_SCHEMA_CONFIG_SOURCE$ac_delim
@@ -23669,7 +23544,7 @@
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 67; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 65; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn
--exclude=.svnignore old/nautilus-open-terminal-0.12/configure.in
new/nautilus-open-terminal-0.13/configure.in
--- old/nautilus-open-terminal-0.12/configure.in 2009-05-17
12:34:23.000000000 +0200
+++ new/nautilus-open-terminal-0.13/configure.in 2009-05-23
11:16:12.000000000 +0200
@@ -2,7 +2,7 @@
AC_INIT
PACKAGE=nautilus-open-terminal
-VERSION=0.12
+VERSION=0.13
AC_SUBST(PACKAGE)
AC_SUBST(VERSION)
@@ -31,7 +31,6 @@
NAUTILUS_REQUIRED=2.21.2
LIBGNOME_DESKTOP_REQUIRED=2.9.91
GLIB_REQUIRED=2.16.0
-GNOMEVFS_REQUIRED=2.0
PKG_CHECK_MODULES(NAUTILUS, [
libnautilus-extension >= $NAUTILUS_REQUIRED
@@ -41,7 +40,6 @@
])
PKG_CHECK_MODULES(GCONF, gconf-2.0)
PKG_CHECK_MODULES(GNOMEDESKTOP, gnome-desktop-2.0 >=
$LIBGNOME_DESKTOP_REQUIRED)
-PKG_CHECK_MODULES(GNOMEVFS, gnome-vfs-2.0 >= $GNOMEVFS_REQUIRED)
# Make dependency CFLAGS and LIBS available
@@ -52,9 +50,6 @@
AC_SUBST(GCONF_CFLAGS)
AC_SUBST(GCONF_LIBS)
-AC_SUBST(GNOMEVFS_CFLAGS)
-AC_SUBST(GNOMEVFS_LIBS)
-
AC_SUBST(GNOMEDESKTOP_CFLAGS)
AC_SUBST(GNOMEDESKTOP_LIBS)
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn
--exclude=.svnignore old/nautilus-open-terminal-0.12/Makefile.in
new/nautilus-open-terminal-0.13/Makefile.in
--- old/nautilus-open-terminal-0.12/Makefile.in 2009-05-17 12:34:34.000000000
+0200
+++ new/nautilus-open-terminal-0.13/Makefile.in 2009-05-23 11:16:31.000000000
+0200
@@ -123,8 +123,6 @@
GMSGFMT = @GMSGFMT@
GNOMEDESKTOP_CFLAGS = @GNOMEDESKTOP_CFLAGS@
GNOMEDESKTOP_LIBS = @GNOMEDESKTOP_LIBS@
-GNOMEVFS_CFLAGS = @GNOMEVFS_CFLAGS@
-GNOMEVFS_LIBS = @GNOMEVFS_LIBS@
GREP = @GREP@
HAVE_PKGCONFIG = @HAVE_PKGCONFIG@
INSTALL = @INSTALL@
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn
--exclude=.svnignore old/nautilus-open-terminal-0.12/NEWS
new/nautilus-open-terminal-0.13/NEWS
--- old/nautilus-open-terminal-0.12/NEWS 2009-05-17 12:34:23.000000000
+0200
+++ new/nautilus-open-terminal-0.13/NEWS 2009-05-23 11:27:25.000000000
+0200
@@ -1,3 +1,21 @@
+nautilus-open-terminal 0.13
+===========================
+"Land of the Dead"
+
+ * Dedicated to Grim Fandango, one of the most excellent computer games
ever produced.
+ http://www.youtube.com/watch?v=3kVZ1sJZ9lo
+
+ Features
+
+ * Only offer to open a local terminal for remote locations if path
back-mapping to ~/.gvfs is possible,
+ i.e. if GVFS was compiled with FUSE support.
+
+ Fixes / Build
+
+ * Fix double-free when opening terminal on the desktop. Thanks to
Arthur Taylor <theycallhimart@xxxxxxxxx>.
+ * Use custom SFTP URI parser, and get rid of GnomeVFS dependency,
Launchpad #333462. Thanks to Maxim Levitsky
+ and others.
+
nautilus-open-terminal 0.12
===========================
"El Pueblo Unido"
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn
--exclude=.svnignore old/nautilus-open-terminal-0.12/src/Makefile.am
new/nautilus-open-terminal-0.13/src/Makefile.am
--- old/nautilus-open-terminal-0.12/src/Makefile.am 2009-05-17
12:34:23.000000000 +0200
+++ new/nautilus-open-terminal-0.13/src/Makefile.am 2009-05-23
11:16:00.000000000 +0200
@@ -9,7 +9,6 @@
$(DISABLE_DEPRECATED_CFLAGS) \
$(NAUTILUS_CFLAGS) \
$(GCONF_CFLAGS) \
- $(GNOMEVFS_CFLAGS) \
$(GNOMEDESKTOP_CFLAGS)
nautilus_extensiondir=$(NAUTILUS_EXTENSION_DIR)
@@ -25,4 +24,4 @@
open-terminal.c
libnautilus_open_terminal_la_LDFLAGS = -module -avoid-version
-libnautilus_open_terminal_la_LIBADD = $(NAUTILUS_LIBS) $(GNOMEVFS_LIBS)
$(GCONF_LIBS) $(GNOMEDESKTOP_LIBS)
+libnautilus_open_terminal_la_LIBADD = $(NAUTILUS_LIBS) $(GCONF_LIBS)
$(GNOMEDESKTOP_LIBS)
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn
--exclude=.svnignore old/nautilus-open-terminal-0.12/src/Makefile.in
new/nautilus-open-terminal-0.13/src/Makefile.in
--- old/nautilus-open-terminal-0.12/src/Makefile.in 2009-05-17
12:34:34.000000000 +0200
+++ new/nautilus-open-terminal-0.13/src/Makefile.in 2009-05-23
11:16:31.000000000 +0200
@@ -52,8 +52,7 @@
LTLIBRARIES = $(nautilus_extension_LTLIBRARIES)
am__DEPENDENCIES_1 =
libnautilus_open_terminal_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
- $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
- $(am__DEPENDENCIES_1)
+ $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_libnautilus_open_terminal_la_OBJECTS = eel-gnome-extensions.lo \
nautilus-open-terminal.lo open-terminal.lo
libnautilus_open_terminal_la_OBJECTS = \
@@ -121,8 +120,6 @@
GMSGFMT = @GMSGFMT@
GNOMEDESKTOP_CFLAGS = @GNOMEDESKTOP_CFLAGS@
GNOMEDESKTOP_LIBS = @GNOMEDESKTOP_LIBS@
-GNOMEVFS_CFLAGS = @GNOMEVFS_CFLAGS@
-GNOMEVFS_LIBS = @GNOMEVFS_LIBS@
GREP = @GREP@
HAVE_PKGCONFIG = @HAVE_PKGCONFIG@
INSTALL = @INSTALL@
@@ -254,7 +251,6 @@
$(DISABLE_DEPRECATED_CFLAGS) \
$(NAUTILUS_CFLAGS) \
$(GCONF_CFLAGS) \
- $(GNOMEVFS_CFLAGS) \
$(GNOMEDESKTOP_CFLAGS)
nautilus_extensiondir = $(NAUTILUS_EXTENSION_DIR)
@@ -268,7 +264,7 @@
open-terminal.c
libnautilus_open_terminal_la_LDFLAGS = -module -avoid-version
-libnautilus_open_terminal_la_LIBADD = $(NAUTILUS_LIBS) $(GNOMEVFS_LIBS)
$(GCONF_LIBS) $(GNOMEDESKTOP_LIBS)
+libnautilus_open_terminal_la_LIBADD = $(NAUTILUS_LIBS) $(GCONF_LIBS)
$(GNOMEDESKTOP_LIBS)
all: all-am
.SUFFIXES:
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn
--exclude=.svnignore
old/nautilus-open-terminal-0.12/src/nautilus-open-terminal.c
new/nautilus-open-terminal-0.13/src/nautilus-open-terminal.c
--- old/nautilus-open-terminal-0.12/src/nautilus-open-terminal.c
2009-05-17 12:34:23.000000000 +0200
+++ new/nautilus-open-terminal-0.13/src/nautilus-open-terminal.c
2009-05-23 11:15:17.000000000 +0200
@@ -30,13 +30,13 @@
#include <libnautilus-extension/nautilus-menu-provider.h>
+#include <glib.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <gtk/gtk.h>
#include <gconf/gconf.h>
#include <gconf/gconf-client.h>
#include <libgnome/gnome-desktop-item.h>
-#include <libgnomevfs/gnome-vfs.h>
#include <errno.h>
#include <fcntl.h>
@@ -114,31 +114,85 @@
NULL);
}
+/* a very simple URI parsing routine from Launchpad #333462, until GLib
supports URI parsing (GNOME #489862) */
+#define SFTP_PREFIX "sftp://"
+static void
+parse_sftp_uri (GFile *file,
+ char **user,
+ char **host,
+ unsigned int *port,
+ char **path)
+{
+ char *tmp, *save;
+ char *uri;
+ char *u, *h, *s, *p;
+ char *h_end;
+
+ uri = g_file_get_uri (file);
+ g_assert (uri != NULL);
+ save = uri;
+
+ *path = NULL;
+ *user = NULL;
+ *host = NULL;
+ *port = 0;
+
+ /* skip intial 'sftp:// prefix */
+ g_assert (!strncmp (uri, SFTP_PREFIX, strlen (SFTP_PREFIX)));
+ uri += strlen (SFTP_PREFIX);
+
+ /* cut out the path */
+ tmp = strchr (uri, '/');
+ if (tmp != NULL) {
+ *path = g_uri_unescape_string (tmp, "/");
+ *tmp = '\0';
+ }
+
+ /* read the username - it ends with @ */
+ tmp = strchr (uri, '@');
+ if (tmp != NULL) {
+ *tmp++ = '\0';
+
+ *user = strdup (uri);
+ if (strchr (*user, ':') != NULL) {
+ /* chop the password */
+ *(strchr (*user, ':')) = '\0';
+ }
+
+ uri = tmp;
+ }
+
+ /* now read the port, starts with : */
+ tmp = strchr (uri, ':');
+ if (tmp != NULL) {
+ *tmp++ = '\0';
+ *port = atoi (tmp); /*FIXME: getservbyname*/
+ }
+
+ /* what is left is the host */
+ *host = strdup (uri);
+ g_free (save);
+}
+
static char *
get_remote_ssh_command (const char *uri,
const char *command_to_run)
{
- GnomeVFSURI *vfs_uri;
- const char *host_name, *path, *user_name;
+ GFile *file;
+
+ char *host_name, *path, *user_name;
char *command, *user_host, *unescaped_path;
char *port_str;
guint host_port;
g_assert (uri != NULL);
- g_assert (strncmp (uri, "sftp", strlen ("sftp")) == 0 ||
- strncmp (uri, "ssh", strlen ("ssh")) == 0);
-
- gnome_vfs_init ();
- vfs_uri = gnome_vfs_uri_new (uri);
- g_assert (vfs_uri != NULL);
+ file = g_file_new_for_uri (uri);
+ parse_sftp_uri (file, &user_name, &host_name, &host_port, &path);
+ g_object_unref (file);
- host_name = gnome_vfs_uri_get_host_name (vfs_uri);
- host_port = gnome_vfs_uri_get_host_port (vfs_uri);
- user_name = gnome_vfs_uri_get_user_name (vfs_uri);
- path = gnome_vfs_uri_get_path (vfs_uri);
/* FIXME to we have to consider the remote file encoding? */
- unescaped_path = gnome_vfs_unescape_string (path, NULL);
+ unescaped_path = g_uri_unescape_string (path, NULL);
port_str = NULL;
if (host_port != 0) {
@@ -159,10 +213,13 @@
command = g_strdup_printf ("ssh %s%s -t \"cd \'%s\' && $SHELL
-l\"", user_host, port_str, unescaped_path);
}
+ g_free (user_name);
+ g_free (host_name);
+ g_free (path);
+
g_free (user_host);
g_free (unescaped_path);
g_free (port_str);
- gnome_vfs_uri_unref (vfs_uri);
return command;
}
@@ -206,7 +263,6 @@
} else {
path = g_strdup (g_get_user_special_dir
(G_USER_DIRECTORY_DESKTOP));
}
- g_free (path);
break;
case FILE_INFO_SFTP:
@@ -395,6 +451,25 @@
NULL);
}
+/* used to determine for remote URIs whether GVFS is capable of mapping them
to ~/.gvfs */
+static gboolean
+uri_has_local_path (const char *uri)
+{
+ GFile *file;
+ char *path;
+ gboolean ret;
+
+ file = g_file_new_for_uri (uri);
+ path = g_file_get_path (file);
+
+ ret = (path != NULL);
+
+ g_free (path);
+ g_object_unref (file);
+
+ return ret;
+}
+
static GList *
nautilus_open_terminal_get_background_items (NautilusMenuProvider *provider,
GtkWidget *window,
@@ -413,24 +488,26 @@
uri = nautilus_file_info_get_activation_uri (file_info);
terminal_file_info = get_terminal_file_info (uri);
- g_free (uri);
item = open_terminal_menu_item_new (file_info, terminal_file_info,
gtk_widget_get_screen (window),
NULL, terminal_file_info ==
FILE_INFO_SFTP, FALSE);
items = g_list_append (items, item);
- if (terminal_file_info == FILE_INFO_SFTP) {
+ if (terminal_file_info == FILE_INFO_SFTP && uri_has_local_path (uri)) {
item = open_terminal_menu_item_new (file_info,
terminal_file_info, gtk_widget_get_screen (window),
NULL, FALSE, FALSE);
items = g_list_append (items, item);
}
if (display_mc_item () &&
- g_find_program_in_path ("mc")) {
+ g_find_program_in_path ("mc") &&
+ uri_has_local_path (uri)) {
item = open_terminal_menu_item_new (file_info,
terminal_file_info, gtk_widget_get_screen (window), "mc", FALSE, FALSE);
items = g_list_append (items, item);
}
+ g_free (uri);
+
return items;
}
@@ -459,7 +536,6 @@
uri = nautilus_file_info_get_activation_uri (files->data);
terminal_file_info = get_terminal_file_info (uri);
- g_free (uri);
switch (terminal_file_info) {
case FILE_INFO_LOCAL:
@@ -469,13 +545,15 @@
NULL,
terminal_file_info == FILE_INFO_SFTP, TRUE);
items = g_list_append (items, item);
- if (terminal_file_info == FILE_INFO_SFTP) {
+ if (terminal_file_info == FILE_INFO_SFTP &&
+ uri_has_local_path (uri)) {
item = open_terminal_menu_item_new
(files->data, terminal_file_info, gtk_widget_get_screen (window), NULL, FALSE,
TRUE);
items = g_list_append (items, item);
}
if (display_mc_item () &&
- g_find_program_in_path ("mc")) {
+ g_find_program_in_path ("mc") &&
+ uri_has_local_path (uri)) {
item = open_terminal_menu_item_new
(files->data, terminal_file_info, gtk_widget_get_screen (window), "mc", TRUE,
FALSE);
items = g_list_append (items, item);
}
@@ -488,6 +566,8 @@
g_assert_not_reached ();
}
+ g_free (uri);
+
return items;
}
++++++ nautilus-open-terminal-gcc.patch ++++++
Index: nautilus-open-terminal-0.13/src/nautilus-open-terminal.c
===================================================================
--- nautilus-open-terminal-0.13.orig/src/nautilus-open-terminal.c
+++ nautilus-open-terminal-0.13/src/nautilus-open-terminal.c
@@ -40,6 +40,7 @@
#include <errno.h>
#include <fcntl.h>
+#include <stdlib.h> /* for atoi */
#include <string.h> /* for strcmp */
#include <unistd.h> /* for chdir */
#include <sys/stat.h>
@@ -125,8 +126,6 @@ parse_sftp_uri (GFile *file,
{
char *tmp, *save;
char *uri;
- char *u, *h, *s, *p;
- char *h_end;
uri = g_file_get_uri (file);
g_assert (uri != NULL);
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Remember to have fun...
--
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx
| < Previous | Next > |